package jedi

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type SendSmsRequest struct {
	*requests.HttpRequest
	User   string `position:"Query" name:"User" default:""`
	Code   string `position:"Query" name:"Code" default:"-"`
	Params string `position:"Query" name:"Prams" default:"-"`
}

type SendSmsResponseData struct {
	Account    string `json:"account"`
	Createtime int64  `json:"createtime"`
}

type SendSmsResponse struct {
	*responses.BaseResponse
	Data SendSmsResponseData `json:"data"`
}

func CreateSendSmsRequest() (req *SendSmsRequest) {
	req = &SendSmsRequest{
		HttpRequest: &requests.HttpRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/sms/send")
	return
}

func CreateSendSmsResponse() (response *SendSmsResponse) {
	response = &SendSmsResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
